New patch:
diff -ruN debian.old/mythweb.postinst debian/mythweb.postinst
--- debian.old/mythweb.postinst 2012-06-18 15:15:27.000000000 -0400
+++ debian/mythweb.postinst 2012-06-18 15:15:51.000000000 -0400
@@ -57,13 +57,9 @@
chmod 1775 $cachedir
fi
- # Move Data to new location
- if [ ! -L /usr/share/mythtv/mythweb/data ]; then
- mv /usr/share/mythtv/mythweb/data/* /var/lib/mythtv/mythweb/data
- rmdir /usr/share/mythtv/mythweb/data
- cd /usr/share/mythtv/mythweb && ln -s /var/lib/mythtv/mythweb/data data
- chown -R www-data:www-data /var/lib/mythtv/mythweb
- fi
+ # Create link for data directory
+ cd /usr/share/mythtv/mythweb && ln -s /var/lib/mythtv/mythweb/data data
+ chown -R www-data:www-data /var/lib/mythtv/mythweb
if [ -e /etc/apache2/apache2.conf ]; then
# Enable rewrite_module and reload apache.
diff -ruN debian.old/mythweb.prerm debian/mythweb.prerm
--- debian.old/mythweb.prerm 1969-12-31 19:00:00.000000000 -0500
+++ debian/mythweb.prerm 2012-06-18 15:15:51.000000000 -0400
@@ -0,0 +1,34 @@
+#!/bin/sh
+
+set -e
+
+# summary of how this script can be called:
+# * <postrm> `remove'
+# * <postrm> `purge'
+# * <old-postrm> `upgrade' <new-version>
+# * <new-postrm> `failed-upgrade' <old-version>
+# * <new-postrm> `abort-install'
+# * <new-postrm> `abort-install' <old-version>
+# * <new-postrm> `abort-upgrade' <old-version>
+# * <disappearer's-postrm> `disappear' <overwriter>
+# <overwriter-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ purge|remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+ if [ -L /usr/share/mythtv/mythweb/data ]; then
+ rm /usr/share/mythtv/mythweb/data
+ fi
+ ;;
+
+ *)
+ echo "prerm called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0